## org.w3c.tools.resources
Class FilenameAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.StringAttribute
                  |
                  +--org.w3c.tools.resources.FilenameAttribute

public class FilenameAttribute
extends StringAttribute

The generic description of a FilenameAttribute. A file name is a String, augmented with the fact that it should be a valid file name.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`FilenameAttribute(java.lang.String name, java.lang.Object def, int flags)`

Methods inherited from class org.w3c.tools.resources.StringAttribute
`checkValue, getPickleLength, pickle, unpickle`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilenameAttribute

    public FilenameAttribute(java.lang.String name,
                             java.lang.Object def,
                             int flags)